Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 768930 - games-strategy/0ad-data-0.0.24_alpha_pre20210116040036: Segmentation fault in 0ad -archivebuild
Summary: games-strategy/0ad-data-0.0.24_alpha_pre20210116040036: Segmentation fault in...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2021-02-06 05:04 UTC by Andrew Ammerlaan
Modified: 2021-02-28 23:04 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
buildlog (buildlog.txt,19.00 KB, text/plain)
2021-02-06 05:04 UTC, Andrew Ammerlaan
Details
emerge environment (env.txt,20.42 KB, text/plain)
2021-02-06 05:05 UTC, Andrew Ammerlaan
Details
emerge --info (emerge-info.txt,8.02 KB, text/plain)
2021-02-06 05:05 UTC, Andrew Ammerlaan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Ammerlaan 2021-02-06 05:04:51 UTC
Created attachment 685896 [details]
buildlog

The 0ad data prerelease fails to compile for me:

emerge -pqv '=games-strategy/0ad-data-0.0.24_alpha_pre20210116040036::gentoo'
[ebuild     U ] games-strategy/0ad-data-0.0.24_alpha_pre20210116040036 [0.0.23b_alpha]

/var/tmp/portage/games-strategy/0ad-data-0.0.24_alpha_pre20210116040036/temp/environment: line 461:    31 Segmentation fault      (core dumped) 0ad -archivebuild="${archivebuild_input}" -archivebuild-output="${archivebuild_output}/${mod_name}.zip"
Comment 1 Andrew Ammerlaan 2021-02-06 05:05:10 UTC
Created attachment 685899 [details]
emerge environment
Comment 2 Andrew Ammerlaan 2021-02-06 05:05:27 UTC
Created attachment 685902 [details]
emerge --info
Comment 3 Andrew Ammerlaan 2021-02-06 06:41:03 UTC
A workaround is to downgrade nvidia-texture-tools to 2.0.8-r4, downgrade 0ad to 0.0.23b_alpha, then compile 0ad-data-0.0.24_alpha_pre20210116040036 with --nodeps, and then upgrade 0ad again.

0ad 0.0.24_pre itself fails to compile with the older version of nvidia-texture-tools, and it also fails to compile 0ad-data if the older version of nvidia-texture-tools is installed. Therefore, to compile 0ad-data 0.0.24_pre one not only has to (temporarily) downgrade nvidia-texture-tools, but also 0ad itself.
Comment 4 Larry the Git Cow gentoo-dev 2021-02-12 20:18:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=815ab784f5f549e0f4cb803bbd813199d2c94c90

commit 815ab784f5f549e0f4cb803bbd813199d2c94c90
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-02-12 20:18:08 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-12 20:18:47 +0000

    games-strategy/0ad: revert to bundled libraries
    
    * SpiderMonkey changes the consumed interfaces
      even within minor versions, so using
      the system version is a no go.
    
    * nvtt is abandoned upstream and using the
      system version results in segfaults.
    
      Use 0ad's version which has fixes instead.
    
    Bug: https://bugs.gentoo.org/735352
    Bug: https://bugs.gentoo.org/689124
    Closes: https://bugs.gentoo.org/768840
    Closes: https://bugs.gentoo.org/759934
    Closes: https://bugs.gentoo.org/768930
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 ...> 0ad-0.0.24_alpha_pre20210116040036-r1.ebuild} | 28 ++++++++++++++++++----
 1 file changed, 23 insertions(+), 5 deletions(-)
Comment 5 Samuel Bauer 2021-02-14 02:41:15 UTC
There's still a QA about missing libmozjs78-ps-release.so
The 0ad archivebuild fails then because 0ad doesn't launch due to missing so.

Tested with spidermonkey:78 not installed.
Comment 6 Sam James archtester gentoo-dev Security 2021-02-14 04:21:47 UTC
(In reply to Samuel Bauer from comment #5)
> There's still a QA about missing libmozjs78-ps-release.so
> The 0ad archivebuild fails then because 0ad doesn't launch due to missing so.
> 
> Tested with spidermonkey:78 not installed.

File a new bug for it not launching and I'll look at that next. Definitely an improvement given we can complete the build of 0ad now, but yeah, needs more work.
Comment 7 Larry the Git Cow gentoo-dev 2021-02-28 23:04:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0cdd28cee7b12f4fe2e10949af2abb94f3533c5

commit d0cdd28cee7b12f4fe2e10949af2abb94f3533c5
Author:     Wolf-Dieter Rieck <wesen42@web.de>
AuthorDate: 2021-02-22 21:19:08 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-28 23:04:27 +0000

    games-strategy/0ad: fix build and merge 0ad-data package
    
    * Build was broken in former revision,
      as generated libs weren't in LD_LIBRARY_PATH.
      Also libs weren't correcly installed.
    
    * 0ad-data pulled same archive as 0a package.
      Merged both ebuilds into this revision blocking the 0ad-data package.
    
    Bug: https://bugs.gentoo.org/768930
    Closes: https://bugs.gentoo.org/771147
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Wolf-Dieter Rieck <wesen42@web.de>
    Closes: https://github.com/gentoo/gentoo/pull/19603
    Signed-off-by: Sam James <sam@gentoo.org>

 .../0ad-0.0.24_alpha_pre20210116040036-r2.ebuild   | 224 +++++++++++++++++++++
 1 file changed, 224 insertions(+)